### Class

# Meta WaylandSurface

#### Description

    final class Meta.WaylandSurface : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### meta_wayland_surface_get_window

Get the `MetaWindow` associated with this wayland surface.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.WaylandSurface:main-monitor

No description available.

###### Meta.WaylandSurface:scanout-candidate

No description available.

###### Meta.WaylandSurface:window

No description available.

#### Signals

###### Meta.WaylandSurface::actor-changed

No description available.

###### Meta.WaylandSurface::configure

No description available.

###### Meta.WaylandSurface::destroy

No description available.

###### Meta.WaylandSurface::geometry-changed

No description available.

###### Meta.WaylandSurface::pre-state-applied

No description available.

###### Meta.WaylandSurface::shortcuts-inhibited

No description available.

###### Meta.WaylandSurface::shortcuts-restored

No description available.

###### Meta.WaylandSurface::unmapped

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaWaylandSurfaceClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.